QGIS Application - Feature request #5540
Add paper units to print composer bar scale segment size
2012-05-03 10:02 AM - Ed B

Status: Closed

Priority: Low

Assignee:

Category: Map Composer/Printing

Pull Request or Patch supplied: Resolution: fixed/implemented
Easy fix?: No Copied to github as #: 15133
Description

It would be nice if the bar scale for print composer had an option to use paper units for the segment size instead of map units, so when the
scale of the map changes the bar scale will automatically adjust to the map scale and therefore you would not have to click the bar scale
and resize it.

History

#1 - 2012-09-04 11:53 AM - Paolo Cavallini

- Target version changed from Version 1.8.0 to Version 2.0.0

#2 - 2012-10-06 02:25 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#3 - 2014-04-06 06:03 AM - Jiirgen Fischer
- Category changed from 33 to Map Composer/Printing

#4 - 2015-12-09 03:11 AM - Médéric RIBREUX

- Status changed from Open to Feedback

Hello, bug triage...

in QGIS 2.13 master (and probably in QGIS 2.12.1), you can set a fixed size (between a minimum and a maximum due to scale adjustments) for the
segments of the scale bar. The size is in millimeters. Combined with the number of segments, you can have a sort of fixed size scale bar with a width in
millimeters.

| think that should answer to the whole feature request: with the min/max value of the segment width you can have a scale bar with rounded distance (10 km
instead of 10.234335 km) where the size of the scale bar can't be too wide. If you really want a definitive fixed size, just make the min width equal to the

max width.

Can you confirm there is nothing missing ?

#5 - 2015-12-09 05:11 AM - Ed B

| agree there is nothing missing, please close this issue.

#6 - 2015-12-09 08:59 AM - Médéric RIBREUX
- Resolution set to fixed/implemented

- Status changed from Feedback to Closed

- % Done changed from 0 to 100
